function stopSolve = testFuncOut ( t, y, flag )
  persistent stepNum
  stopVal = 1.4;
  stopSolve = false;
  if strcmp ( flag, 'init' )
    stepNum = 0;
    t = t(1);
  elseif strcmp ( flag, 'done' )
    disp ( 'Output function received DONE signal' )
    return
  else
    stepNum = stepNum + 1;
  end
  disp ( ['Step: ' num2str(stepNum) ', Size t: ' num2str(size(t)) '; Size y: ' num2str(size(y))] )
  for ind = 1:length (t)
    if ind == 1
      disp ( ['Step: ' num2str(stepNum) ', t = ' num2str(t(ind)) ', y = ' num2str(y(:,ind)) ] )
    else
      disp ( ['Step: ' num2str(stepNum) ', t = ' num2str(t(ind)) ', y = ' num2str(y(:,ind)) ...
              ', item ' num2str(ind) ] )
    end
    if y(1,ind) > stopVal
      stopSolve = true;
      disp ( ['y value is ' num2str(y(1,ind)) ', greater than ' num2str(stopVal)  ...
              '. Sending STOP signal.'] )
    end
  end
end
